function [eqmin] = fractionateOlivine(liquidComp,FeMgKd)

%FeMgKd = 0.29;  % Kd = (Fe/Mg)min / (Fe/Mg)liq
 
MW = [60.085 79.899	101.961	151.9902	71.846	70.9374	40.311	56.079	61.979	94.203	283.89]; % see matlab guide in excel spreadsheet
%     SiO2    TiO2    Al2O3   Cr2O3       FeO     MnO     MgO     CaO    Na2O    K2O    P2O5

% use molar weights and Kds to calculate ratios of elements in mineral


    FeMgliq = (liquidComp(5)./MW(5))./ (liquidComp(7)./MW(7)); %% could instead first convert liquid to moles, then calculate the mineral comp. 
    FeMgmin = FeMgKd*FeMgliq;
    Xol = FeMgmin/(1+FeMgmin);
    

    M_eqmin(1) = 33.33;
    M_eqmin(2) = 0;
    M_eqmin(3) = 0;
    M_eqmin(4) = 0;
    M_eqmin(5) = 66.67*Xol;
    M_eqmin(6) = 0;
    M_eqmin(7) = 66.67*(1-Xol);
    M_eqmin(8) = 0;
    M_eqmin(9) = 0;
    M_eqmin(10) = 0;
    M_eqmin(11) = 0;
    

    eqmin = M_eqmin.*MW;                % this is the bulk comosition of equilibrium olivine
    eqmin = eqmin./(0.01*sum(eqmin));   % renormalized and in wt%
    
    %eqmin(12) = M_eqmin(7)./(M_eqmin(5)+M_eqmin(7));

end

